Name:          jchempaint
Version:       2.0.12
Release:       1qilnx
Summary:       JChemPaint is an editor for 2D molecular structures
Group:         Graphical Desktop/Applications/Educational
Vendor:        QiLinux
Distribution:  QiLinux
Packager:      Alessandro Ramazzina <alessandro.ramazzina@qilinux.it>
URL:           http://almost.cubic.uni-koeln.de/cdk/jcp
Source:        http://switch.dl.sourceforge.net/sourceforge/jchempaint/%{name}-%{version}.source.tar.gz
Source1:       jchem.png
License:       LGPL
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
JChemPaint is an editor for 2D molecular structures

%prep
%setup -q 

%build
JAVA_HOME=/usr/java/j2sdk1.4 ant

%install
[ "%{buildroot}" != / ] && rm -rf %{buildroot}

mkdir -p %{buildroot}/usr/lib
mkdir -p %{buildroot}/usr/share/%{name}-%{version}/doc/
install -m 755 jchempaint-2.0.12.jar %{buildroot}/usr/lib
cp -r doc/* %{buildroot}/usr/share/%{name}-%{version}/doc/

#Icon
mkdir -p %{buildroot}%{_datadir}/pixmaps
install -D -m 644 %{SOURCE1} %{buildroot}%{_datadir}/pixmaps/jchem.png

# Create the system menu entry
mkdir -p %{buildroot}%{_datadir}/applnk/Edutainment/Science
cat > %{buildroot}%{_datadir}/applnk/Edutainment/Science/%{name}.desktop << EOF
[Desktop Entry]
Name=%{name}
GenericName=JChemPaint is an editor for 2D molecular structures.
GenericName[it]=editor di strutture molecolari in 2d.
Comment=JChemPaint is an editor for 2D molecular structures.
Exec=java -jar %{_libdir}/jchempaint-2.0.12.jar
Icon=%{_datadir}/pixmaps/jchem.png
Terminal=0
Type=Application
X-KDE-StartupNotify=false
EOF

%clean
[ "%{buildroot}" != / ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README.txt
%{_libdir}/jchempaint-2.0.12.jar
%{_datadir}/applnk/Edutainment/Science/jchempaint.desktop
%dir %{_datadir}/jchempaint-2.0.12/doc
%{_datadir}/jchempaint-2.0.12/doc/*
%{_datadir}/pixmaps/jchem.png

%changelog
* Mon Jul 25 2005 Alessandro Ramazzina <alessandro.ramazzina@qilinux.it> 2.0.12-1qilnx
- package created by autospec
